Subject: Interesting plant to ID

From: [email-masked] (Richard S. Fee)
Date: 24 Mar 1995 00:27:37 GMT

This plant has growth habits like a ground Juniper, creeping 
and moderate about 6-10" high by 2 feet (and spreading). The stems 
are woody and about 1/4" in diameter. It is evergreen in the LA area, 
with small, stiff foliage about 1" long and 1/8" wide and spear-shaped 
(what's the botanical adjective?). The leaves color is similar to the 
green-blue of a blue spruce. Flowers appear at the end of 10" stalks 
which stand almost straight up fron the ground-spreading growth.
The flowers are mostly light pink with dappled areas of lighter tones
(up to and including white specks). They are 1" in diameter and 
remind me of carnations. Does this description sound familiar to any one?

I would highly recomend this plant as a ground cover for sunny areas
(if I knew what it was :)

Thanks,
Richard Fee